import { ObjectBase } from '@awesome-nodes/object/data';
import { Change, Person as IPerson } from '@yukawa/chain-base-angular-domain';
import { Address } from './Address';
export declare class Person extends ObjectBase implements IPerson {
    private _addresses;
    private _change;
    private _companyName;
    private _created;
    private _email;
    private _firstName;
    private _lang;
    private _lastName;
    private _mobile;
    private _phoneNumber;
    private _role;
    private _shortName;
    private _title;
    private _vatNumber;
    constructor(person: IPerson);
    get addresses(): Address[];
    set addresses(value: Address[]);
    get change(): Change;
    set change(value: Change);
    get companyName(): string;
    set companyName(value: string);
    get created(): Change;
    set created(value: Change);
    get email(): string;
    set email(value: string);
    get firstName(): string;
    set firstName(value: string);
    get lang(): string;
    set lang(value: string);
    get lastName(): string;
    set lastName(value: string);
    get mobile(): string;
    set mobile(value: string);
    get phoneNumber(): string;
    set phoneNumber(value: string);
    get role(): string;
    set role(value: string);
    get shortName(): string;
    set shortName(value: string);
    get title(): string;
    set title(value: string);
    get vatNumber(): string;
    set vatNumber(value: string);
    toJSON<T = this>(): IPerson;
}
