import { ObjectBase } from '@awesome-nodes/object/data';
import { Account as IAccount, RoleContext } from '@yukawa/chain-security-angular-core';
import { AccountStatus } from './AccountStatus';
import { Credentials } from './Credentials';
export declare class Account extends ObjectBase implements IAccount {
    private _credentials;
    private _details;
    private _roleContexts;
    private _status;
    constructor(account: IAccount);
    get credentials(): Credentials;
    set credentials(value: Credentials);
    get details(): {
        [p: string]: object;
    };
    set details(value: {
        [p: string]: object;
    });
    get roleContexts(): RoleContext[];
    set roleContexts(value: RoleContext[]);
    get status(): AccountStatus;
    set status(value: AccountStatus);
    toJSON<T = this>(): IAccount;
}
