import { ObjectBase } from '@awesome-nodes/object/data';
import { AccountStatus as IAccountStatus } from '@yukawa/chain-security-angular-core';
export declare class AccountStatus extends ObjectBase implements IAccountStatus {
    private _accountNonExpired;
    private _accountNonLocked;
    private _credentialsNonExpired;
    private _enabled;
    constructor(accountStatus: IAccountStatus);
    get accountNonExpired(): boolean;
    set accountNonExpired(value: boolean);
    get accountNonLocked(): boolean;
    set accountNonLocked(value: boolean);
    get credentialsNonExpired(): boolean;
    set credentialsNonExpired(value: boolean);
    get enabled(): boolean;
    set enabled(value: boolean);
    toJSON<T = this>(): IAccountStatus;
}
