import { ObjectBase } from '@awesome-nodes/object/data';
import { Address as IAddress, GeoLocation } from '@yukawa/chain-base-angular-domain';
export declare class Address extends ObjectBase implements IAddress {
    private _addressId;
    private _city;
    private _countryCode;
    private _geoLocation;
    private _houseNumber;
    private _region;
    private _state;
    private _street;
    private _type;
    private _zipCode;
    constructor(address: IAddress);
    get addressId(): string;
    set addressId(value: string);
    get city(): string;
    set city(value: string);
    get countryCode(): string;
    set countryCode(value: string);
    get geoLocation(): GeoLocation;
    set geoLocation(value: GeoLocation);
    get houseNumber(): string;
    set houseNumber(value: string);
    get region(): string;
    set region(value: string);
    get state(): string;
    set state(value: string);
    get street(): string;
    set street(value: string);
    get type(): string;
    set type(value: string);
    get zipCode(): string;
    set zipCode(value: string);
    toJSON<T = this>(): IAddress;
}
